/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;


/**
 * 缺陷密度分布图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-21 10:14:34  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷密度分布图")
public class BugDensityChart implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_userName = "userName";
  public static final String KEY_loginNo = "loginNo";
  public static final String KEY_bugNum = "bugNum";
  public static final String KEY_execCount = "execCount";
  public static final String KEY_bugDensity = "bugDensity";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 人员名称<br>
   */
  @ApiModelProperty("人员名称")
  @Size(max = 50, message="人员名称-userName: 数据长度不能 > 50" )
  private String userName;
  /**
   * 登陆帐号<br>
   */
  @ApiModelProperty("登陆帐号")
  @Size(max = 200, message="登陆帐号-loginNo: 数据长度不能 > 200" )
  private String loginNo;
  /**
   * 缺陷数量<br>
   */
  @ApiModelProperty("缺陷数量")
  private Float bugNum;
  /**
   * 有效执行用例数<br>
   */
  @ApiModelProperty("有效执行用例数")
  private Integer execCount;
  /**
   * 缺陷密度<br>
   */
  @ApiModelProperty("缺陷密度")
  private Float bugDensity;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 人员名称<br>
   */
  public String getUserName()
  {
      return userName;
    }

  /**
   * 人员名称<br>
   *
   * @param userName 人员名称
   */
  public void setUserName(String userName)
  {
      this.userName = userName;
    }
  /**
   * 登陆帐号<br>
   */
  public String getLoginNo()
  {
      return loginNo;
    }

  /**
   * 登陆帐号<br>
   *
   * @param loginNo 登陆帐号
   */
  public void setLoginNo(String loginNo)
  {
      this.loginNo = loginNo;
    }
  /**
   * 缺陷数量<br>
   */
  public Float getBugNum()
  {
      return bugNum;
    }

  /**
   * 缺陷数量<br>
   *
   * @param bugNum 缺陷数量
   */
  public void setBugNum(Float bugNum)
  {
      this.bugNum = bugNum;
    }
  /**
   * 有效执行用例数<br>
   */
  public Integer getExecCount()
  {
      return execCount;
    }

  /**
   * 有效执行用例数<br>
   *
   * @param execCount 有效执行用例数
   */
  public void setExecCount(Integer execCount)
  {
      this.execCount = execCount;
    }
  /**
   * 缺陷密度<br>
   */
  public Float getBugDensity()
  {
      return bugDensity;
    }

  /**
   * 缺陷密度<br>
   *
   * @param bugDensity 缺陷密度
   */
  public void setBugDensity(Float bugDensity)
  {
      this.bugDensity = bugDensity;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * <br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * <br>
   *
   * @param tenantId 
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public BugDensityChart()
  {
  }

}
